### Method

# EBackend DataFactory list_opened_backends

#### Declaration [src]

    GSList*
    e_data_factory_list_opened_backends (
      EDataFactory* data_factory
    )

#### Description [src]

Lists the currently opened backends.

The sources returned in the list are referenced for thread-safety. They must each be unreferenced with `g_object_unref()` when finished with them. Free the returned `GSList` itself with g_slist_free().

An easy way to free the list properly in one step is as follows:

      g_slist_free_full (list, g_object_unref);

#### Return value

Type: A list of `EBackend*`

A `GSList` of `EBackend`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.